OpenVDB 7.0.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
ColoredPatternLayout Class Reference

log4cplus layout that outputs text in different colors for different log levels, using ANSI escape codes More...

`#include <logging.h>`

Inherits PatternLayout.

## Public Types
using | Ptr = std::auto_ptr< log4cplus::Layout >

## Public Member Functions
| ColoredPatternLayout (const std::string &progName_, bool useColor=true)
| ~ColoredPatternLayout () override
const std::string & | progName () const
void | formatAndAppend (log4cplus::tostream &strm, const log4cplus::spi::InternalLoggingEvent &event) override

## Static Public Member Functions
static Ptr | create (const std::string &progName_, bool useColor=true)

## Detailed Description

log4cplus layout that outputs text in different colors for different log levels, using ANSI escape codes

## Member Typedef Documentation

## ◆ Ptr

using Ptr = std::auto_ptr<log4cplus::Layout>

## Constructor & Destructor Documentation

## ◆ ColoredPatternLayout()

ColoredPatternLayout | ( | const std::string & | progName_,
|  | bool | useColor = `true`
| ) |  |
| inline explicit

## ◆ ~ColoredPatternLayout()

~ColoredPatternLayout | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ create()

static Ptr create | ( | const std::string & | progName_,
|  | bool | useColor = `true`
| ) |  |
| inline static

## ◆ formatAndAppend()

void formatAndAppend | ( | log4cplus::tostream & | strm,
|  | const log4cplus::spi::InternalLoggingEvent & | event
| ) |  |
| inline override

## ◆ progName()

const std::string& progName | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- logging.h